/*
.property-list,
.splitview-container {
    padding: var(--space-4);
    display: flex;
    flex-direction: column;
    gap: var(--space-4);
}
    */

p.not_found_inmuebles {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0px auto;
  width: 90%;
}

.tpl_notfound_inmuebles {
  display: flex;
  grid-column: span 2;
  flex: 1;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0px auto;
  width: 90%;
}

.splitview-container {
  display: grid;
  gap: var(--space-5);
  padding: var(--space-4);
}

/* ==================================
   GRID INMUEBLES – FULL WIDTH
================================== */

.inmuebles-grilla-split {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--space-5);
  padding: var(--space-4);
  padding-top: 5px;
  scrollbar-width: thin;
}

.inmuebles-grilla-split::-webkit-scrollbar {
  width: 6px;
}

.inmuebles-grilla-split::-webkit-scrollbar-thumb {
  border-radius: 999px;
  background: oklch(80% 0.02 250);
}

.splitview-layout {
  display: grid;
  grid-template-columns: 1fr;
}

.results-column {
  height: calc(100dvh - 24dvh) !important;
  overflow-y: auto;
}

/* ==================================
   SPLIT VIEW LAYOUT
================================== */

.main-content-split {
  display: grid;
  grid-template-columns: 45% 1fr;
  width: 100%;
  height: calc(100dvh - 24dvh) !important;

  /* Ajusta según la altura de tu menú */
  overflow: hidden;
}

/* ==============================
   MAPA SPLIT VIEW
================================== */
.map-section {
  position: relative;
  border-radius: var(--radius-sm);
  -webkit-border-radius: var(--radius-sm);
  -moz-border-radius: var(--radius-sm);
  -ms-border-radius: var(--radius-sm);
  -o-border-radius: var(--radius-sm);
  width: calc(100% - var(--space-4));
  /*Evita que los elementos internos se desborden*/
  height: calc(100dvh - 24dvh) !important;
  overflow: hidden;
}

#splitview-map-container {
  display: block;
  position: absolute;
  top: 0;
  left: 0;

  z-index: 1;
  width: 100%;
  height: calc(100dvh - 24dvh) !important;
  overflow: hidden;
}

.site-main {
  background: var(--color-background);
}
